<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_level(0);
$set['title']='Администрация'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

if (!isset($access['show_administration'])){header("Location: index.php?".SID);exit;}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `level` <> '0'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='p_t'>\n";
echo "Нет результатов\n";
echo "  </td>\n";
echo "   </tr>\n";

}
$q=mysql_query("SELECT * FROM `user` WHERE `level` <> '0' ORDER BY `level` DESC LIMIT $start, $set[p_str]");
while ($ank = mysql_fetch_array($q))
{
echo "   <tr>\n";


echo "  <td class='p_t'>\n";
echo online($ank['id'])."<a href='/info.php?id=$ank[id]'>$ank[nick]</a>\n";
echo "  </td>\n";
echo "   </tr>\n";
echo "   <tr>\n";
if ($set['set_show_icon']==1)echo "  <td class='p_m' colspan='2'>\n"; else echo "  <td class='p_m'>\n";

if ($ank['level']==1)echo "<span class=\"status\">Модератор</span><br />\n";
elseif ($ank['level']==2)echo "<span class=\"status\">Супер Модератор</span><br />\n";
elseif ($ank['level']==3)echo "<span class=\"status\">Администратор</span><br />\n";
elseif ($ank['level']==4)echo "<span class=\"status\">Главный Администратор</span><br />\n";

echo "<span class=\"ank_n\">Регистрация:</span> <span class=\"ank_d\">".vremja($ank['date_reg'])."</span><br />\n";
echo "<span class=\"ank_n\">Посл. посещение:</span> <span class=\"ank_d\">".vremja($ank['date_last'])."</span><br />\n";
if (isset($user) &&  $user['level']==4)
{
echo "<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";
}

echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";
if ($k_page>1)str("?",$k_page,$page); // Вывод страниц

if ($user['level']>=3){
echo "<div class='foot'>\n";
echo "&laquo;<a href='/adm_panel/'>В админку</a><br />\n";
echo "</div>\n";
}
include_once '../sys/inc/tfoot.php';
?>